<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonRxNoiseFigRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonRxNoiseFigRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing the measured RX noise figure values corresponding to the full IF band of a profile. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_NOISE_FIG_REPORT.  
 <a href="structrl_mon_rx_noise_fig_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a0d1b7619216abb0669f7e64d22fbed68"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d1b7619216abb0669f7e64d22fbed68"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#a0d1b7619216abb0669f7e64d22fbed68">statusFlags</a></td></tr>
<tr class="memdesc:a0d1b7619216abb0669f7e64d22fbed68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding to various threshold <br />
 checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 [0] STATUS_RX_NOISE_FIGURE <br />
 [15:1]RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a0d1b7619216abb0669f7e64d22fbed68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11e553894233f1f626ddc81bfcd7299"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae11e553894233f1f626ddc81bfcd7299"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#ae11e553894233f1f626ddc81bfcd7299">errorCode</a></td></tr>
<tr class="memdesc:ae11e553894233f1f626ddc81bfcd7299"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:ae11e553894233f1f626ddc81bfcd7299"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ec8dcf674660c704b8d3fddcec7a88a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ec8dcf674660c704b8d3fddcec7a88a"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#a5ec8dcf674660c704b8d3fddcec7a88a">profIndex</a></td></tr>
<tr class="memdesc:a5ec8dcf674660c704b8d3fddcec7a88a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile Index for which this monitoring report applies. <br /></td></tr>
<tr class="separator:a5ec8dcf674660c704b8d3fddcec7a88a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a919750d1cef77cbb13b26443a013b14e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a919750d1cef77cbb13b26443a013b14e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#a919750d1cef77cbb13b26443a013b14e">reserved0</a></td></tr>
<tr class="memdesc:a919750d1cef77cbb13b26443a013b14e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a919750d1cef77cbb13b26443a013b14e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a247bfa76df2ea7c83a6947bc24142486"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a247bfa76df2ea7c83a6947bc24142486"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#a247bfa76df2ea7c83a6947bc24142486">reserved1</a></td></tr>
<tr class="memdesc:a247bfa76df2ea7c83a6947bc24142486"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a247bfa76df2ea7c83a6947bc24142486"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a630084b019a77e6d9ed89407670b0665"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a630084b019a77e6d9ed89407670b0665"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#a630084b019a77e6d9ed89407670b0665">rxNoiseFigVal</a> [12U]</td></tr>
<tr class="memdesc:a630084b019a77e6d9ed89407670b0665"><td class="mdescLeft">&#160;</td><td class="mdescRight">TThe measured RX input referred for each enabled channel, at each enabled RF <br />
 frequency is reported here. Byte numbers corresponding to different RX <br />
 and RF, in this field are here: <br />
 RF1 RF2 RF3 <br />
 RX0 1:0 9:8 17:16 <br />
 RX1 3:2 11:10 19:18 <br />
 RX2 5:4 13:12 21:20 <br />
 RX3 7:6 15:14 23:22 <br />
 1 LSB = 0.1 dB <br />
 Only the entries of enabled RF Frequencies and enabled RX channels are <br />
 valid. <br />
. <br /></td></tr>
<tr class="separator:a630084b019a77e6d9ed89407670b0665"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a407db73188c7f2291ae418a5375c6d0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a407db73188c7f2291ae418a5375c6d0d"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#a407db73188c7f2291ae418a5375c6d0d">reserved2</a></td></tr>
<tr class="memdesc:a407db73188c7f2291ae418a5375c6d0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a407db73188c7f2291ae418a5375c6d0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09fc8580e7296323f40c8da2bf211004"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09fc8580e7296323f40c8da2bf211004"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#a09fc8580e7296323f40c8da2bf211004">reserved3</a></td></tr>
<tr class="memdesc:a09fc8580e7296323f40c8da2bf211004"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a09fc8580e7296323f40c8da2bf211004"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2295a39748b020f5bcdc19fabb981ce4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2295a39748b020f5bcdc19fabb981ce4"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#a2295a39748b020f5bcdc19fabb981ce4">reserved4</a></td></tr>
<tr class="memdesc:a2295a39748b020f5bcdc19fabb981ce4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a2295a39748b020f5bcdc19fabb981ce4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36b53f1a186f621ff4fddc4b9e25976d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a36b53f1a186f621ff4fddc4b9e25976d"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html#a36b53f1a186f621ff4fddc4b9e25976d">timeStamp</a></td></tr>
<tr class="memdesc:a36b53f1a186f621ff4fddc4b9e25976d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon <br />
 exceeding allotted bit width) <br />
. <br /></td></tr>
<tr class="separator:a36b53f1a186f621ff4fddc4b9e25976d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing the measured RX noise figure values corresponding to the full IF band of a profile. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_NOISE_FIG_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
